package com.njcn.advance.service.govern.voltage;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.advance.pojo.dto.govern.voltage.ProductLineComputeData;
import com.njcn.advance.pojo.param.govern.voltage.SgProductLineParam;
import com.njcn.advance.pojo.po.govern.voltage.SgProductLine;
import com.njcn.advance.pojo.vo.govern.voltage.SgProductLineVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author hongawen
 * @since 2024-03-14
 */
public interface ISgProductLineService extends IService<SgProductLine> {

    Page<SgProductLineVO> sgProductLineListByUserId(SgProductLineParam.SgProductLineQueryParam sgProductLineQueryParam);

    String addProductLine(SgProductLineParam sgProductLineParam);

    boolean updateSgProductLine(SgProductLineParam.SgProductLineUpdateParam updateParam);

    boolean deleteSgProductData(List<String> ids);

    List<SgProductLineVO> querySgProductLineByUserId(String userId);

    ProductLineComputeData assginProductLineComputeData(String productLineId);

    String getUserNameByProductId(String id);
}
